import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";

/* eslint-disable react/require-default-props */

/* eslint-disable react/forbid-prop-types */

/* eslint-disable prefer-template */

/* eslint-disable import/imports-first */

/* eslint-disable import/order */

/* eslint-disable react/prefer-stateless-function */
import React, { Component, Fragment } from 'react';
import cx from 'clsx';
import { withStyles } from '@material-ui/core/styles';
import InputMUI from '@material-ui/core/Input';
import FormControl from "@material-ui/core/FormControl";
import FormHelperText from "@material-ui/core/FormHelperText";
import Clear from '@material-ui/icons/Clear';
import Label from "../Label/Label";
import InputAdornment from '@material-ui/core/InputAdornment';
import IconButton from '@material-ui/core/IconButton';

var styleClasses = function styleClasses(theme) {
  return {
    root: {
      marginTop: '8px',
      width: '343px',
      height: '48px',
      borderRadius: '4px',
      background: theme.palette.colorVariables.WHITE,
      border: "solid 1px ".concat(theme.palette.colorVariables.GRAY),
      '&:hover': {
        backgroundColor: theme.palette.primary.main,
        border: "solid 1px ".concat(theme.palette.colorVariables.DARKER_BLUE)
      },
      "&.Mui-focused": {
        border: "solid 2px ".concat(theme.palette.colorVariables.DARKER_BLUE)
      }
    },
    disabled: {
      background: theme.palette.disabled.main,
      border: "none",
      '&:hover': {
        backgroundColor: theme.palette.disabled.main,
        border: "none"
      }
    },
    error: {
      border: "solid 2px ".concat(theme.palette.error.main, " !important"),
      '&:hover': {
        backgroundColor: theme.palette.colorVariables.WHITE
      }
    },
    input: {
      padding: '10px 12px'
    },
    iconButton: {
      padding: '10px',
      transition: 'none'
    },
    iconStyle: {
      fontSize: '20px',
      color: theme.palette.primary.main
    }
  };
};

var Input =
/*#__PURE__*/
function (_Component) {
  _inherits(Input, _Component);

  function Input() {
    _classCallCheck(this, Input);

    return _possibleConstructorReturn(this, _getPrototypeOf(Input).apply(this, arguments));
  }

  _createClass(Input, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          classes = _this$props.classes,
          className = _this$props.className,
          disabled = _this$props.disabled,
          error = _this$props.error,
          errorText = _this$props.errorText,
          helperText = _this$props.helperText,
          id = _this$props.id,
          labelName = _this$props.labelName,
          name = _this$props.name,
          placeholder = _this$props.placeholder,
          type = _this$props.type,
          value = _this$props.value,
          onBlur = _this$props.onBlur,
          onChange = _this$props.onChange,
          onClear = _this$props.onClear;
      return React.createElement(Fragment, null, React.createElement(FormControl, {
        error: error,
        disabled: disabled
      }, labelName && React.createElement(Label, {
        htmlFor: id
      }, labelName), type === 'text' && React.createElement(InputMUI, {
        classes: {
          root: classes.root,
          disabled: classes.disabled,
          error: classes.error,
          input: classes.input
        },
        className: cx("Input", className),
        disableUnderline: true,
        endAdornment: onClear && value && React.createElement(InputAdornment, {
          position: "end"
        }, React.createElement(IconButton, {
          disableRipple: true,
          "aria-label": "Clear text",
          onClick: onClear,
          disabled: disabled,
          color: "inherit",
          classes: {
            root: classes.iconButton
          }
        }, React.createElement(Clear, {
          classes: {
            root: classes.iconStyle
          }
        }))),
        id: id,
        name: name,
        placeholder: placeholder,
        type: "text",
        value: value,
        onChange: onChange,
        onBlur: onBlur
      }), errorText && error && React.createElement(FormHelperText, {
        id: id + "-component-error-text"
      }, errorText)), helperText && React.createElement(FormHelperText, {
        id: id + "-component-helper-text"
      }, helperText));
    }
  }]);

  return Input;
}(Component);

export default withStyles(styleClasses, {
  withTheme: true
})(Input);