import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/esm/inherits";

/* eslint-disable react/require-default-props */

/* eslint-disable react/prefer-stateless-function */
import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { withStyles } from '@material-ui/core/styles';
import InputLabel from '@material-ui/core/InputLabel';
import cx from 'clsx';

var styleClasses = function styleClasses(theme) {
  return {
    formControl: {
      transform: 'unset',
      top: '-8px'
    },
    root: {
      color: theme.palette.colorVariables.BLACK,
      width: '343px',
      height: '19px',
      fontFamily: theme.typography.fontFamily
    },
    focused: {
      color: "".concat(theme.palette.colorVariables.BLACK, " !important")
    },
    error: {
      color: "".concat(theme.palette.colorVariables.BLACK, " !important")
    },
    disabled: {
      color: "".concat(theme.palette.colorVariables.BLACK, " !important")
    }
  };
};

var Label =
/*#__PURE__*/
function (_Component) {
  _inherits(Label, _Component);

  function Label() {
    _classCallCheck(this, Label);

    return _possibleConstructorReturn(this, _getPrototypeOf(Label).apply(this, arguments));
  }

  _createClass(Label, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          classes = _this$props.classes,
          className = _this$props.className,
          children = _this$props.children,
          htmlFor = _this$props.htmlFor;
      return React.createElement(InputLabel, {
        className: cx("InputLabel", className),
        classes: classes,
        disableAnimation: true,
        htmlFor: htmlFor,
        shrink: false
      }, children);
    }
  }]);

  return Label;
}(Component);

export default withStyles(styleClasses, {
  withTheme: true
})(Label);